iOS友盟分享报错_OBJC_CLASS_$_QQApiImageArrayForQZoneObject

释放双眼,带上耳机,听听看~!

之前友盟分享一直用的是5.2.1,但老版本对https没有处理,为了以后兼容https需要将项目中的一些第三方更换为适配https的。所以出现了这么一个问题。

正常情况下是不会有这个问题的,但是当使用了腾讯的其他第三方如:云通讯,更换新版本的友盟分享SDK后会出现运行错误。在Targets-Link Binary中即使删掉了TencentOpenAPI.framework但是云通讯SDK绝对路径下的TencentOpenAPI.framework并没有删掉。根本原因是:由于老版本的库没有删除干净,友盟也没有做兼容处理,TencentOpenAPI.framework重复导入,造成了这么一个错误。友盟分享SDK:6.1.2

人已赞赏
iOS文章

iOS中的函数式编程和链式编程

2020-2-29 16:07:08

iOS文章

iOS如何获取iOS应用中所有图片资源

2020-2-29 17:04:00

个人中心
购物车
优惠劵
今日签到
有新私信 私信列表
搜索